Syncfusion Feedback


Overview

Angular 100% stacked line chart displays multiple series of data, ensuring that the cumulative proportion of each stacked element always totals 100%. Hence, the y-axis will always be rendered with the range 0–100. overview


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

marker


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

datalabel


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

multiple axes


Customization

Customize the look and feel of the 100% stacked line chart using built-in APIs.

dashed line


Code snippet

Easily get started with Angular 100% Stacked Line Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular 100% Stacked Line Chart Example that shows you how to render and configure the chart.

  1. <ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
  2. <e-series-collection>
  3. <e-series [dataSource]='data' type='StackingLine100' xName='x' yName='y' name='John' width='2' [marker]='marker' dashArray='5,1'> </e-series>
  4. <e-series [dataSource]='data1' type='StackingLine100' xName='x' yName='y' name='Peter' width='2'
  5. [marker]='marker' dashArray='5,1'> </e-series>
  6. <e-series [dataSource]='data2' type='StackingLine100' xName='x' yName='y' name='Steve' width='2' [marker]='marker' dashArray='5,1'> </e-series>
  7. <e-series [dataSource]='data3' type='StackingLine100' xName='x' yName='y' name='Charle' width='2' [marker]='marker' dashArray='5,1'> </e-series>
  8. </e-series-collection>
  9. </ejs-chart>
  1. import { Component } from '@angular/core';
  2. export class AppComponent {
  3. public data: Object[] = [
  4. { x: 'Food', y: 90 },
  5. { x: 'Transport', y: 80 },
  6. { x: 'Medical', y: 50 },
  7. { x: 'Clothes', y: 70 },
  8. { x: 'Personal Care', y: 30 },
  9. { x: 'Books', y: 10 },
  10. { x: 'Fitness', y: 100 },
  11. { x: 'Electricity', y: 55 },
  12. { x: 'Tax', y: 20 },
  13. { x: 'Pet Care', y: 40 },
  14. { x: 'Education', y: 45 },
  15. { x: 'Entertainment', y: 75 },
  16. ];
  17. public data1: Object[] = [
  18. { x: 'Food', y: 40 },
  19. { x: 'Transport', y: 90 },
  20. { x: 'Medical', y: 80 },
  21. { x: 'Clothes', y: 30 },
  22. { x: 'Personal Care', y: 80 },
  23. { x: 'Books', y: 40 },
  24. { x: 'Fitness', y: 30 },
  25. { x: 'Electricity', y: 95 },
  26. { x: 'Tax', y: 50 },
  27. { x: 'Pet Care', y: 20 },
  28. { x: 'Education', y: 15 },
  29. { x: 'Entertainment', y: 45 },
  30. ];
  31. public data2: Object[] = [
  32. { x: 'Food', y: 70 },
  33. { x: 'Transport', y: 110 },
  34. { x: 'Medical', y: 120 },
  35. { x: 'Clothes', y: 60 },
  36. { x: 'Personal Care', y: 80 },
  37. { x: 'Books', y: 30 },
  38. { x: 'Fitness', y: 70 },
  39. { x: 'Electricity', y: 55 },
  40. { x: 'Tax', y: 40 },
  41. { x: 'Pet Care', y: 80 },
  42. { x: 'Education', y: 45 },
  43. { x: 'Entertainment', y: 65 },
  44. ];
  45. public data3: Object[] = [
  46. { x: 'Food', y: 120 },
  47. { x: 'Transport', y: 70 },
  48. { x: 'Medical', y: 50 },
  49. { x: 'Clothes', y: 180 },
  50. { x: 'Personal Care', y: 30 },
  51. { x: 'Books', y: 270 },
  52. { x: 'Fitness', y: 40 },
  53. { x: 'Electricity', y: 75 },
  54. { x: 'Tax', y: 65 },
  55. { x: 'Pet Care', y: 95 },
  56. { x: 'Education', y: 135 },
  57. { x: 'Entertainment', y: 115 },
  58. ];
  59. //Initializing Primary X Axis
  60. public primaryXAxis: Object = {
  61. valueType: 'Category',
  62. };
  63. }
  1. import { ChartModule } from '@syncfusion/ej2-ng-charts';
  2. import { StackingColumnLineService, CategoryService} from '@syncfusion/ej2-ng-charts';
  3. import { AppComponent } from './app.component';
  4.  
  5. @NgModule({
  6. declarations: [
  7. AppComponent
  8. ],
  9. imports: [
  10. BrowserModule, ChartModule
  11. ],
  12. providers: [ StackingLineSeriesService, CategoryService],
  13. bootstrap: [AppComponent]
  14. })
  15. export class AppModule { }

Learning Resources

UG

100% Stacked Line Chart User Guide

Learn the available options to customize Angular 100% Stacked Line Chart.

API

100% Stacked line Chart API Reference

Explore the Angular 100% Stacked Line Chart APIs.

90+ ANGULAR UI COMPONENTS

Scroll up icon
Chat with us

Syncfusion Feedback


Overview

React 100% Stacked Line Chart displays multiple series of data, ensuring that the cumulative proportion of each stacked element always totals 100%. Hence, the y-axis will always be rendered with the range 0–100. overview


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

marker


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

datalabel


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

multiple axes


Customization

Customize the look and feel of the 100% stacked line chart using built-in APIs.

dashed line


Code snippet

Easily get started with React 100% stacked line chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React 100% Stacked Line Chart Example that shows you how to render and configure the chart.

  1. import { AxisModel, Category, ChartComponent, Inject, SeriesCollectionDirective, SeriesDirective, StackingColumnSeries} from'@syncfusion/ej2-react-charts';
  2. import * as React from 'react';
  3. class App extends React.Component<{}, {}> {
  4. public primaryXAxis: AxisModel = { valueType: 'Category'};
  5. let chartData: any[] = [
  6. { x: 'Food', y: 90, y1: 40, y2: 70, y3: 120 },
  7. { x: 'Transport', y: 80, y1: 90, y2: 110, y3: 70 },
  8. { x: 'Medical', y: 50, y1: 80, y2: 120, y3: 50 },
  9. { x: 'Clothes', y: 70, y1: 30, y2: 60, y3: 180 },
  10. { x: 'Personal Care', y: 30, y1: 80, y2: 80, y3: 30 },
  11. { x: 'Books', y: 10, y1: 40, y2: 30, y3: 270 },
  12. { x: 'Fitness', y: 100, y1: 30, y2: 70, y3: 40 },
  13. { x: 'Electricity', y: 55, y1: 95, y2: 55, y3: 75 },
  14. { x: 'Tax', y: 20, y1: 50, y2: 40, y3: 65 },
  15. { x: 'Pet Care', y: 40, y1: 20, y2: 80, y3: 95 },
  16. { x: 'Education', y: 45, y1: 15, y2: 45, y3: 195 },
  17. { x: 'Entertainment', y: 75, y1: 45, y2: 65, y3: 115 }
  18. ];
  19. let marker : any[] = {visible: true} ;
  20. public render() {
  21. return <ChartComponent id='charts'>
  22. <Inject services={[StackingLineSeries, Category]} />
  23. <SeriesCollectionDirective>
  24. <SeriesDirective dataSource={chartData} xName='x' yName='y' name='John' width='2' type='StackingLine100' marker= {marker} dashArray='5,1'>
  25. </SeriesDirective>
  26. <SeriesDirective dataSource={chartData} xName='x' yName='y1' name='Peter' width='2' type='StackingLine100' marker= {marker} dashArray='5,1'>
  27. </SeriesDirective>
  28. <SeriesDirective dataSource={chartData} xName='x' yName='y2' name='Steve' width='2' type='StackingLine100' marker= {marker} dashArray='5,1'>
  29. </SeriesDirective>
  30. <SeriesDirective dataSource={chartData} xName='x' yName='y3' name='Charle' width='2' type='StackingLine100' marker= {marker} dashArray='5,1'>
  31. </SeriesDirective>
  32. </SeriesCollectionDirective>
  33. </ChartComponent>
  34. }
  35. };
  36. ReactDOM.render(
  37. <App />,
  38. document.getElementById('charts') as HTMLElement
  39. );
  1. <!DOCTYPE html>
  2. <html>
  3.  
  4. <body>
  5. <div id="charts"></div>
  6. </body>
  7.  
  8. </html>

Learning Resources

UG

100% Stacked Line Chart User Guide

Learn the available options to customize React 100% stacked line chart.

API

100% Stacked line Chart API Reference

Explore the React 100% stacked line chart APIs.

90+ REACT UI COMPONENTS

Scroll up icon
Chat with us

Syncfusion Feedback


Overview

Vue 100% stacked line chart displays multiple series of data, ensuring that the cumulative proportion of each stacked element always totals 100%. Hence, the y-axis will always be rendered with the range 0–100. overview


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

marker


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

datalabel


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

multiple axes


Customization

Customize the look and feel of the 100% stacked line chart using built-in APIs.

dashed line


Code snippet

Easily get started with Vue 100% Stacked Line chart using a few simple lines of HTML and JS code, as demonstrated below. Also explore our Vue 100% Stacked Line Chart Example that shows you how to render and configure the charts.

  1. <template>
  2. <div id="app">
  3. <ejs-chart id="container" :primaryXAxis='primaryXAxis'>
  4. <e-series-collection>
  5. <e-series :dataSource="seriesData" type="StackingLine100" xName="x" yName="y"
  6. name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
  7. <e-series :dataSource="seriesData" type="StackingLine100" xName="x" yName="y1"
  8. name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
  9. <e-series :dataSource="seriesData" type="StackingLine100" xName="x" yName="y2"
  10. name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
  11. <e-series :dataSource="seriesData" type="StackingLine100" xName="x" yName="y3"
  12. name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
  13. </e-series-collection>
  14. </ejs-chart>
  15. </div>
  16. </template>
  17. <script>
  18. import { ChartPlugin, StackingLineSeries, Category } from "@syncfusion/ej2-charts";
  19. Vue.use(ChartPlugin);
  20. export default {
  21. data() {
  22. return {
  23. seriesData: [
  24. { x: "Food", y: 90, y1: 40, y2: 70, y3: 120 },
  25. { x: "Transport", y: 80, y1: 90, y2: 110, y3: 70 },
  26. { x: "Medical", y: 50, y1: 80, y2: 120, y3: 50 },
  27. { x: "Clothes", y: 70, y1: 30, y2: 60, y3: 180 },
  28. { x: "Personal Care", y: 30, y1: 80, y2: 80, y3: 30 },
  29. { x: "Books", y: 10, y1: 40, y2: 30, y3: 270 },
  30. { x: "Fitness", y: 100, y1: 30, y2: 70, y3: 40 },
  31. { x: "Electricity", y: 55, y1: 95, y2: 55, y3: 75 },
  32. { x: "Tax", y: 20, y1: 50, y2: 40, y3: 65 },
  33. { x: "Pet Care", y: 40, y1: 20, y2: 80, y3: 95 },
  34. { x: "Education", y: 45, y1: 15, y2: 45, y3: 195 },
  35. { x: "Entertainment", y: 75, y1: 45, y2: 65, y3: 115 }],
  36. primaryXAxis: {
  37. valueType: 'Category',
  38. },
  39. };
  40. },
  41. provide: {
  42. chart: [StackingLineSeries, Category]
  43. }
  44. };
  45. </script>
  1. <!DOCTYPE html>
  2. <html>
  3.  
  4. <body>
  5. <div id="app"></div>
  6. </body>
  7.  
  8. </html>

Learning Resources

UG

100% Stacked Line Chart User Guide

Learn the available options to customize Vue 100% stacked line chart.

API

100% Stacked line Chart API Reference

Explore the Vue 100% stacked line chart APIs.

90+ VUE UI COMPONENTS

Scroll up icon
Chat with us